//+------------------------------------------------------------------+
//|                                             STARC Bands Down.mq4 |
//|                                                Lukas Kellerstein |
//|                                                             none |
//+------------------------------------------------------------------+
#property copyright "Copyright  2005, scorpion@fxfisherman.com"
#property link "http://www.fxfisherman.com/"
#property indicator_chart_window
#property indicator_buffers 2

//---- indicator parameters
extern int MA_Period=6;
extern int ATR_Period=15;
extern double KATR=2;
extern int Shift=0;
extern color UpperColor=Yellow;
extern color MiddleColor=Yellow;
extern color LowerColor=Yellow;

//---- buffers
double LowerBuffer[];
double MovingBuffer[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
  SetIndexStyle(0,DRAW_LINE,0,1,MiddleColor);
  SetIndexBuffer(0,MovingBuffer);
  //SetIndexDrawBegin(0,MA_Period+Shift);
  
  SetIndexStyle(1,DRAW_LINE,0,1,LowerColor);
  SetIndexBuffer(1,LowerBuffer);
  SetIndexDrawBegin(1,ATR_Period+Shift);
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int i,k,counted_bars=IndicatorCounted();
  
  //----
  if(Bars<=MA_Period) return(0);
  
  //---- initial zero
  if(counted_bars<1)
  for(i=1;i<=MA_Period;i++)
  {
    MovingBuffer[Bars-i]=EMPTY_VALUE;
    LowerBuffer[Bars-i]=EMPTY_VALUE;
  }
  
  //----
  int limit=Bars-counted_bars;
  if(counted_bars>0) limit++;
  for(i=0; i<limit; i++)
  {
    MovingBuffer[i] = iMA(NULL,0,MA_Period,Shift,MODE_EMA,PRICE_CLOSE,i);
    LowerBuffer[i] = MovingBuffer[i] - (KATR * iATR(NULL,0,ATR_Period,i+Shift));
  }
  
  //----
  return(0);
  }
//+------------------------------------------------------------------+